LOGIQ Remote

LOGIQ Remote replicates a subset of user interface controls of compatible LOGIQ ultrasound systems, enabling approved care providers to remotely control the ultrasound system.

LOGIQ Remote requires a General Electric License to enable the connection between the App and the compatible LOGIQ ultrasound system. LOGIQ Remote requires Bluetooth connectivity.

Compatible LOGIQ ultrasound system:
LOGIQ E10
LOGIQ P9 R3 or higher
LOGIQ P7 R3 or higher
Read more
Collapse
5.0
11 total
5
4
3
2
1
Loading...

What's New

Minor bug fixes
Read more
Collapse

Additional Information

Updated
April 23, 2019
Size
304k
Installs
1,000+
Current Version
1.2.2
Requires Android
4.4 and up
Content Rating
Everyone
Permissions
Offered By
General Electric Company
Developer
3135 Easton Turnpike, Fairfield, CT 06828
©2019 GoogleSite Terms of ServicePrivacyDevelopersArtistsAbout Google|Location: United StatesLanguage: English (United States)
By purchasing this item, you are transacting with Google Payments and agreeing to the Google Payments Terms of Service and Privacy Notice.